
.container {
  margin: 0 auto;
  width: 80%;
}

.navtoggle-button {
  text-transform: uppercase;
}

.vertical-center {
  margin: 0;
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}
.navtoggle-wrapper {
  background-color: #ffffff;
  box-shadow: -1px 0px 3px 0px rgba(0, 0, 0, 0.15);
  margin-top:210px;
  padding-top: 20px;
  -webkit-perspective: 1000px;
          perspective: 1000px;
  position: fixed;
  right: 0;
  top: 0;
  min-height:50%;
  -webkit-transform: translateX(95%);
          transform: translateX(95%);
  -webkit-transition: visibility 0.6s, -webkit-transform 0.6s;
  transition: visibility 0.6s, -webkit-transform 0.6s;
  transition: transform 0.6s, visibility 0.6s;
  transition: transform 0.6s, visibility 0.6s, -webkit-transform 0.6s;

  width: 25vw;
  cursor:pointer;
}
.navtoggle-visible .navtoggle-wrapper {
  -webkit-transform: translateX(0);
          transform: translateX(0);
  visibility: visible;
}

.navtoggle {

}
.navtoggle-visible .navtoggle {
  -webkit-transform: rotateY(0deg);
          transform: rotateY(0deg);
}
.navtoggle li.active a {
  background-color: #212635;
}
.navtoggle a {
  display: block;
  line-height: 1.4;
  padding: 0.7em 0.5em 0.7em 1.4em;
  text-transform: uppercase;
}
.navtoggle a:focus, .navtoggle a:hover {
  background-color: #2b3145;
  text-decoration: none;
}

.navtoggle-marker {
  background-color: currentColor;
  height: 2.8rem;
  position: absolute;
  right: 0;
  top: 80px;
  width: 3px;
}
.navtoggle-marker:before {
  border: 5px solid transparent;
  border-right-color: inherit;
  content: "";
  height: 0;
  position: absolute;
  right: 3px;
  top: 50%;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  width: 0;
}

.color-1 {
  color: #92abf0;
}

.button-lines {
  background: transparent;
  border: none;
  cursor: pointer;
  display: inline-block;
  padding: 1rem 0.5rem;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}

.lines {
  background: #fff;
  border-radius: 0.2rem;
  display: inline-block;
  height: 0.2rem;
  width: 2rem;
  position: relative;
}
.lines:hover {
  background: #000;
}
.lines:after, .lines:before {
  background: #fff;
  border-radius: 0.2rem;
  display: inline-block;
  height: 0.2rem;
  width: 2rem;
  content: "";
  left: 0;
  position: absolute;
}
.lines:after:hover, .lines:before:hover {
  background: #000;
}
.lines:after {
  top: 0.5rem;
}
.lines:before {
  top: -0.5rem;
}

.button-lines-x .lines {
  -webkit-transition: background .3s ease;
  transition: background .3s ease;
}
.button-lines-x .lines:after, .button-lines-x .lines:before {
  -webkit-transform-origin: 50% 50% 0;
          transform-origin: 50% 50% 0;
  -webkit-transition: top .3s .4s ease, -webkit-transform .3s ease;
  transition: top .3s .4s ease, -webkit-transform .3s ease;
  transition: top .3s .4s ease, transform .3s ease;
  transition: top .3s .4s ease, transform .3s ease, -webkit-transform .3s ease;
}
.navtoggle-visible .button-lines-x .lines {
  background: transparent;
}
.navtoggle-visible .button-lines-x .lines:after, .navtoggle-visible .button-lines-x .lines:before {
  top: 0;
  -webkit-transition: top .3s ease, -webkit-transform .3s .3s ease;
  transition: top .3s ease, -webkit-transform .3s .3s ease;
  transition: top .3s ease, transform .3s .3s ease;
  transition: top .3s ease, transform .3s .3s ease, -webkit-transform .3s .3s ease;
}
.navtoggle-visible .button-lines-x .lines:after {
  -webkit-transform: rotate3d(0, 0, 1, 45deg);
          transform: rotate3d(0, 0, 1, 45deg);
}
.navtoggle-visible .button-lines-x .lines:before {
  -webkit-transform: rotate3d(0, 0, 1, -45deg);
          transform: rotate3d(0, 0, 1, -45deg);
}
